%define         realname DBIx-Safe
Name:           perl-DBIx-Safe
Version:        1.2.5
Release:        25%{?dist}
Summary:        Safer access to your database through a DBI database handle
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBIx-Safe/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TU/TURNSTEP/%{realname}-%{version}.tar.gz
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DBD::Pg)
BuildRequires:  perl(DBI)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Perl::Critic)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# pod2html
BuildRequires:  perl(Pod::Html)

%description
The purpose of this module is to give controlled, limited access to an
application, rather than simply passing it a raw database handle through
DBI. DBIx::Safe acts as a wrapper to the database, by only allowing
through the commands you tell it to. It filters all things related to
the database handle - methods and attributes.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} + 
%{_fixperms} %{buildroot}/* 

%check
# note this test suite is noisy! :-)
make test

%files
%license LICENSE
%doc Changes INSTALL README TODO SIGNATURE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Sep 22 2015 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.2.5-25
- change BuildRequires from perl-Pod-Html to perl(Pod::Html)

* Tue Aug 11 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.2.5-24
- Specify all dependencies

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.2.5-22
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.2.5-21
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 1.2.5-18
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 17 2012 Petr Pisar <ppisar@redhat.com> - 1.2.5-15
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.2.5-13
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.2.5-11
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.2.5-10
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.2.5-8
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.2.5-7
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 29 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 1.2.5-4
- include make test in %%check section

* Thu Jan 29 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 1.2.5-3
- include %%{_fixperms} %%{buildroot}/* after %%install section, replace tab to space in spec.

* Mon Jan 26 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 1.2.5-2
- fix from BZ #481528  Comment #1
- fix source url
- Fix license tag (BSD)
- Include all BR's needed DBD::Pg, DBI, Test::More , Test::Simple

* Sun Jan 25 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 1.2.5-1
- Initial RPM release

